import * as React from 'react';
import { ISliderProps, ISlider } from './Slider.types';
export interface ISliderState {
    value?: number;
    lowerValue?: number;
    renderedValue?: number;
    renderedLowerValue?: number;
}
export declare const ONKEYDOWN_TIMEOUT_DURATION = 1000;
export declare class SliderBase extends React.Component<ISliderProps, ISliderState> implements ISlider {
    static defaultProps: ISliderProps;
    private _async;
    private _disposables;
    private _sliderLine;
    private _thumb;
    private _lowerValueThumb;
    private _id;
    private _onKeyDownTimer;
    private _isAdjustingLowerValue;
    constructor(props: ISliderProps);
    componentWillUnmount(): void;
    render(): React.ReactElement<{}>;
    focus(): void;
    readonly range: [number, number] | undefined;
    readonly value: number | undefined;
    private readonly renderedValue;
    readonly lowerValue: number | undefined;
    private readonly renderedLowerValue;
    private _getPercent;
    private _getValueLabel;
    private _getAriaValueText;
    private _getStyleUsingOffsetPercent;
    private _calculateCurrentSteps;
    private _onMouseDownOrTouchStart;
    private _onMouseMoveOrTouchMove;
    private _getPosition;
    private _setValueState;
    private _updateValue;
    private _onMouseUpOrTouchEnd;
    private _disposeListeners;
    private _onKeyDown;
    private _onThumbFocus;
    private _clearOnKeyDownTimer;
    private _setOnKeyDownTimer;
}
